import request from '@/utils/request'

// 查询工资上报详情列表
export function wageList(query) {
  return request({
    url: '/system/search/wageList',
    method: 'get',
    params: query
  })
}

// 导出工资上报详情
export function exportSalaryinfo(query) {
  return request({
    url: '/system/search/export',
    method: 'get',
    params: query
  })
}

//汇总表（人数 、 平均工资 、 总工资）
export function queryReportEmployeNum(query) {
  return request({
    url: '/system/search/queryReportEmployeNum',
    method: 'get',
    params: query
  })
}

// export function queryReportEmployeNum(year, ywbk, deptName) {
//   return request({
//     url: '/system/search/queryReportEmployeNum/' + year + '/' + ywbk + '/' + deptName,
//     method: 'get'
//   })
// }

//汇总表（职级统计）
export function querySummaryListByPostLevel(query) {
  return request({
    url: '/system/search/querySummaryListByPostLevel',
    method: 'get',
    params: query
  })
}

//汇总表（职务统计）
export function querySummaryListByPostTitle(query) {
  return request({
    url: '/system/search/querySummaryListByPostTitle',
    method: 'get',
    params: query
  })
}

//汇总表（人数增减统计）
export function queryChangeEmployeNum(query) {
  return request({
    url: '/system/search/queryChangeEmployeNum',
    method: 'get',
    params: query
  })
}

//统计员工花名册
export function selectEmployeStatistics(query) {
  return request({
    url: '/system/search/selectEmployeStatistics',
    method: 'get',
    params: query
  })
}
