import request from '@/utils/request'

// 查询考核评分审批列表
export function listCreditapproval(query) {
  return request({
    url: '/creditapproval/creditapproval/list',
    method: 'get',
    params: query
  })
}

// 查询考核评分审批详细
export function getCreditapproval(id) {
  return request({
    url: '/creditapproval/creditapproval/' + id,
    method: 'get'
  })
}

// 新增考核评分审批
export function addCreditapproval(data) {
  return request({
    url: '/creditapproval/creditapproval',
    method: 'post',
    data: data
  })
}

// 修改考核评分审批
export function updateCreditapproval(data) {
  return request({
    url: '/creditapproval/creditapproval',
    method: 'put',
    data: data
  })
}

// 删除考核评分审批
export function delCreditapproval(id) {
  return request({
    url: '/creditapproval/creditapproval/' + id,
    method: 'delete'
  })
}

// 导出考核评分审批
export function exportCreditapproval(query) {
  return request({
    url: '/creditapproval/creditapproval/export',
    method: 'get',
    params: query
  })
}


// 查询考核评分审批详细
export function getCreditapprovalInfo(reportId) {
  return request({
    url: '/creditapproval/creditapproval/getInfo/' + reportId,
    method: 'get'
  })
}
