import request from '@/utils/request'

// 查询导入规则列表
export function listSuppliesrole(query) {
  return request({
    url: '/system/suppliesrole/list',
    method: 'get',
    params: query
  })
}

//查询上级ID
export function saveSid() {
  return request({
    url: '/system/suppliesrole/savesid',
    method: 'get'
  })
}

// 查询导入规则详细
export function getSuppliesrole(id) {
  return request({
    url: '/system/suppliesrole/' + id,
    method: 'get'
  })
}

// 新增导入规则
export function addSuppliesrole(data) {
  return request({
    url: '/system/suppliesrole',
    method: 'post',
    data: data
  })
}

// 修改导入规则
export function updateSuppliesrole(data) {
  return request({
    url: '/system/suppliesrole',
    method: 'put',
    data: data
  })
}

// 删除导入规则
export function delSuppliesrole(id) {
  return request({
    url: '/system/suppliesrole/' + id,
    method: 'delete'
  })
}

// 导出导入规则
export function exportSuppliesrole(query) {
  return request({
    url: '/system/suppliesrole/export',
    method: 'get',
    params: query
  })
}

//启用
export function toggleEnable(id) {
  return request({
    url: '/system/suppliesrole/enable/' +id,
    method: 'get',

  })
}
//禁用
export function toggleDisable(id) {
  return request({
    url: '/system/suppliesrole/disable/' +id,
    method: 'get',

  })
}
